> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Retrieve paginated list of ATS Candidates

GET https://api.letsdeel.com/rest/ats/candidates

Returns a paginated list of candidates, optionally filtered by job IDs, department IDs, tag IDs, current stage category or default type slugs, or a timestamp to return only records updated after a given point.

 **Token scopes**: `ats:read`

Reference: https://developer.deel.com/api/reference/endpoints/ats-candidates/retrieve-paginated-list-of-ats-candidates-v-2026-01-01

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Query parameters

- `cursor` (string, optional) — The cursor for pagination
- `limit` (integer, optional, default: 20) — Maximum number of records returned in one response
- `search` (string, optional) — Search text for filtering candidates
- `job_ids` (list of string, optional) — Filter candidates by job IDs
- `department_ids` (list of string, optional) — Filter candidates by department IDs
- `tag_ids` (list of string, optional) — Filter candidates by tag IDs
- `current_stage_category_type_slugs` (list of string, optional) — Filter candidates by current stage category type slugs
- `current_stage_default_type_slugs` (list of string, optional) — Filter candidates by current stage default type slugs
- `updated_after` (string, optional) — Filter applications updated after this timestamp (ISO 8601 format)

## Response

### 200

Successful operation.

- `data` (list of AtsCandidatesGetResponsesContentApplicationJsonSchemaDataItems, required) — List of candidates
- `has_more` (boolean, required) — Indicates if there are more items to fetch
- `next_cursor` (string, required, nullable) — Cursor for the next page of results
- `total_count` (integer, required) — Total number of candidates

## Errors

### 400 Bad Request Error

Operation failed.

- `errors` (list of AtsCandidatesGetResponsesContentApplicationJsonSchemaErrorsItems, required) — List of error objects

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Forbidden. ATS is not enabled for this organization or insufficient permissions.

- `errors` (list of AtsCandidatesGetResponsesContentApplicationJsonSchemaErrorsItems, required) — List of error objects

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `errors` (list of AtsCandidatesGetResponsesContentApplicationJsonSchemaErrorsItems, required) — List of error objects

## Types

### AtsCandidatesGetResponsesContentApplicationJsonSchemaDataItems

- `id` (string, required) — Unique identifier for the candidate
- `email` (string, required) — Candidate's email address
- `last_name` (string, required) — Candidate's last name
- `created_at` (string, required) — Timestamp when the candidate was created
- `first_name` (string, required) — Candidate's first name
- `numeric_id` (double, required) — Numeric identifier for the candidate
- `updated_at` (string, required) — Timestamp when the candidate was last updated
- `source` (string, optional, nullable) — Source of the candidate
- `pic_url` (string, optional, nullable) — URL of the candidate's profile picture
- `imported_id` (string, optional, nullable) — Imported identifier
- `applications` (list of AtsCandidatesGetResponsesContentApplicationJsonSchemaDataItemsApplicationsItems, optional) — Applications associated with the candidate
- `phone_number` (string, optional, nullable) — Candidate's phone number
- `anonymized_at` (string, optional, nullable) — Timestamp when the candidate was anonymized
- `candidate_tags` (list of AtsCandidatesGetResponsesContentApplicationJsonSchemaDataItemsCandidateTagsItems, optional, nullable) — Tags associated with the candidate
- `import_session_id` (string, optional, nullable) — Import session identifier
- `origin_source_slug` (string, optional, nullable) — Origin source slug of the candidate (e.g. sourced_internally, external_career_page or a custom source slug)
- `final_archivation_at` (string, optional, nullable) — Timestamp of when the candidate was finally archived
- `linkedin_profile_url` (string, optional, nullable) — URL of the candidate's LinkedIn profile
- `total_applications_count` (double, optional) — Total number of applications the candidate has

### AtsCandidatesGetResponsesContentApplicationJsonSchemaErrorsItems

- `code` (string, required) — Machine-readable error code
- `message` (string, required) — Human-readable error message
- `field` (string, optional) — Request field related to the error, if applicable

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### AtsCandidatesGetResponsesContentApplicationJsonSchemaDataItemsApplicationsItems

- `id` (string, optional, nullable) — Unique identifier for the application
- `job` (AtsCandidatesGetResponsesContentApplicationJsonSchemaDataItemsApplicationsItemsJob, optional)
- `created_at` (string, optional) — Timestamp of when the application was created
- `current_application_interview_plan_stage` (AtsCandidatesGetResponsesContentApplicationJsonSchemaDataItemsApplicationsItemsCurrentApplicationInterviewPlanStage, optional, nullable)

### AtsCandidatesGetResponsesContentApplicationJsonSchemaDataItemsCandidateTagsItems

- `id` (string, optional) — Unique identifier for the candidate tag
- `tag` (AtsCandidatesGetResponsesContentApplicationJsonSchemaDataItemsCandidateTagsItemsTag, optional, nullable)
- `tag_id` (string, optional) — Unique identifier for the tag
- `candidate_id` (string, optional) — Unique identifier for the candidate

### AtsCandidatesGetResponsesContentApplicationJsonSchemaDataItemsApplicationsItemsJob

- `id` (string, optional) — Unique identifier for the job
- `title` (string, optional) — Job title

### AtsCandidatesGetResponsesContentApplicationJsonSchemaDataItemsApplicationsItemsCurrentApplicationInterviewPlanStage

- `id` (string, required) — Unique identifier for the current application interview plan stage
- `status` (enum, required) — Status of the current application interview plan stage
  - Allowed values: `ACTIVE`, `COMPLETED`, `PENDING`, `REJECTED`
- `created_at` (string, required) — Timestamp of when the current application interview plan stage was created
- `application_id` (string, required) — Unique identifier for the application
- `interview_plan_stage_id` (string, required) — Unique identifier for the interview plan stage
- `interview_plan_stage` (AtsCandidatesGetResponsesContentApplicationJsonSchemaDataItemsApplicationsItemsCurrentApplicationInterviewPlanStageInterviewPlanStage, optional, nullable)

### AtsCandidatesGetResponsesContentApplicationJsonSchemaDataItemsCandidateTagsItemsTag

- `id` (string, optional) — Unique identifier for the tag
- `label` (string, optional) — Label for the tag

### AtsCandidatesGetResponsesContentApplicationJsonSchemaDataItemsApplicationsItemsCurrentApplicationInterviewPlanStageInterviewPlanStage

- `id` (string, required) — Unique identifier for the interview plan stage
- `name` (string, required) — Name of the interview plan stage
- `stage_order` (double, required) — Order of the stage in the interview plan
- `interview_plan_id` (string, required) — Unique identifier for the interview plan
- `category_type_slug` (string, required) — Category type slug for the interview plan stage
- `description` (string, optional, nullable) — Description of the interview plan stage
- `default_type_slug` (string, optional, nullable) — Default type slug for the interview plan stage

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "a1b2c3d4-e5f6-7890-1234-567890abcdef",
      "email": "john.doe@example.com",
      "last_name": "Doe",
      "created_at": "2023-10-01T12:00:00Z",
      "first_name": "John",
      "numeric_id": 12345,
      "updated_at": "2023-10-02T12:00:00Z",
      "source": "LINKEDIN",
      "pic_url": "https://example.com/profile.jpg",
      "imported_id": "ext-123",
      "applications": [
        {
          "id": "a1b2c3d4-e5f6-7890-1234-567890abcdef",
          "job": {
            "id": "a1b2c3d4-e5f6-7890-1234-567890abcdef",
            "title": "Software Engineer"
          },
          "created_at": "2024-01-02T00:00:00Z",
          "current_application_interview_plan_stage": {
            "id": "a1b2c3d4-e5f6-7890-1234-567890abcdef",
            "status": "ACTIVE",
            "created_at": "2024-01-03T00:00:00Z",
            "application_id": "a1b2c3d4-e5f6-7890-1234-567890abcdef",
            "interview_plan_stage_id": "a1b2c3d4-e5f6-7890-1234-567890abcdef",
            "interview_plan_stage": {
              "id": "a1b2c3d4-e5f6-7890-1234-567890abcdef",
              "name": "Phone Screen",
              "stage_order": 1,
              "interview_plan_id": "a1b2c3d4-e5f6-7890-1234-567890abcdef",
              "category_type_slug": "initial",
              "description": "Initial phone screening with the candidate",
              "default_type_slug": "phone-screen"
            }
          }
        }
      ],
      "phone_number": "+15551234567",
      "anonymized_at": "2024-01-01T00:00:00Z",
      "candidate_tags": [],
      "import_session_id": "session-123",
      "origin_source_slug": "sourced_internally",
      "final_archivation_at": "2024-01-04T00:00:00Z",
      "linkedin_profile_url": "https://www.linkedin.com/in/johndoe",
      "total_applications_count": 5
    }
  ],
  "has_more": true,
  "next_cursor": "a1b2c3d4-e5f6-7890-1234-567890abcdef",
  "total_count": 100
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/ats/candidates"

querystring = {"current_stage_category_type_slugs":"[\"phone-screen\"]","current_stage_default_type_slugs":"[\"technical-interview\",\"others\"]","cursor":"cursorValue","department_ids":"[\"a1b2c3d4-e5f6-7890-1234-567890abcdef\"]","job_ids":"[\"a1b2c3d4-e5f6-7890-1234-567890abcdef\"]","limit":"50","search":"John Doe","tag_ids":"[\"a1b2c3d4-e5f6-7890-1234-567890abcdef\"]","updated_after":"2025-06-18T00:00:00.000Z"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/ats/candidates?current_stage_category_type_slugs=%5B%22phone-screen%22%5D&current_stage_default_type_slugs=%5B%22technical-interview%22%2C%22others%22%5D&cursor=cursorValue&department_ids=%5B%22a1b2c3d4-e5f6-7890-1234-567890abcdef%22%5D&job_ids=%5B%22a1b2c3d4-e5f6-7890-1234-567890abcdef%22%5D&limit=50&search=John+Doe&tag_ids=%5B%22a1b2c3d4-e5f6-7890-1234-567890abcdef%22%5D&updated_after=2025-06-18T00%3A00%3A00.000Z';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/ats/candidates?current_stage_category_type_slugs=%5B%22phone-screen%22%5D&current_stage_default_type_slugs=%5B%22technical-interview%22%2C%22others%22%5D&cursor=cursorValue&department_ids=%5B%22a1b2c3d4-e5f6-7890-1234-567890abcdef%22%5D&job_ids=%5B%22a1b2c3d4-e5f6-7890-1234-567890abcdef%22%5D&limit=50&search=John+Doe&tag_ids=%5B%22a1b2c3d4-e5f6-7890-1234-567890abcdef%22%5D&updated_after=2025-06-18T00%3A00%3A00.000Z"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/ats/candidates?current_stage_category_type_slugs=%5B%22phone-screen%22%5D&current_stage_default_type_slugs=%5B%22technical-interview%22%2C%22others%22%5D&cursor=cursorValue&department_ids=%5B%22a1b2c3d4-e5f6-7890-1234-567890abcdef%22%5D&job_ids=%5B%22a1b2c3d4-e5f6-7890-1234-567890abcdef%22%5D&limit=50&search=John+Doe&tag_ids=%5B%22a1b2c3d4-e5f6-7890-1234-567890abcdef%22%5D&updated_after=2025-06-18T00%3A00%3A00.000Z")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/ats/candidates?current_stage_category_type_slugs=%5B%22phone-screen%22%5D&current_stage_default_type_slugs=%5B%22technical-interview%22%2C%22others%22%5D&cursor=cursorValue&department_ids=%5B%22a1b2c3d4-e5f6-7890-1234-567890abcdef%22%5D&job_ids=%5B%22a1b2c3d4-e5f6-7890-1234-567890abcdef%22%5D&limit=50&search=John+Doe&tag_ids=%5B%22a1b2c3d4-e5f6-7890-1234-567890abcdef%22%5D&updated_after=2025-06-18T00%3A00%3A00.000Z")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/ats/candidates?current_stage_category_type_slugs=%5B%22phone-screen%22%5D&current_stage_default_type_slugs=%5B%22technical-interview%22%2C%22others%22%5D&cursor=cursorValue&department_ids=%5B%22a1b2c3d4-e5f6-7890-1234-567890abcdef%22%5D&job_ids=%5B%22a1b2c3d4-e5f6-7890-1234-567890abcdef%22%5D&limit=50&search=John+Doe&tag_ids=%5B%22a1b2c3d4-e5f6-7890-1234-567890abcdef%22%5D&updated_after=2025-06-18T00%3A00%3A00.000Z', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/ats/candidates?current_stage_category_type_slugs=%5B%22phone-screen%22%5D&current_stage_default_type_slugs=%5B%22technical-interview%22%2C%22others%22%5D&cursor=cursorValue&department_ids=%5B%22a1b2c3d4-e5f6-7890-1234-567890abcdef%22%5D&job_ids=%5B%22a1b2c3d4-e5f6-7890-1234-567890abcdef%22%5D&limit=50&search=John+Doe&tag_ids=%5B%22a1b2c3d4-e5f6-7890-1234-567890abcdef%22%5D&updated_after=2025-06-18T00%3A00%3A00.000Z");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/ats/candidates?current_stage_category_type_slugs=%5B%22phone-screen%22%5D&current_stage_default_type_slugs=%5B%22technical-interview%22%2C%22others%22%5D&cursor=cursorValue&department_ids=%5B%22a1b2c3d4-e5f6-7890-1234-567890abcdef%22%5D&job_ids=%5B%22a1b2c3d4-e5f6-7890-1234-567890abcdef%22%5D&limit=50&search=John+Doe&tag_ids=%5B%22a1b2c3d4-e5f6-7890-1234-567890abcdef%22%5D&updated_after=2025-06-18T00%3A00%3A00.000Z")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```